Acroread Error

Tadi setelah menginstal Acrobat Reader di OpenSUSE 10.3, ternyata instalasinya gagal. Saat saya mencoba menjalankan Acrobat Reader dari console, saya mendapat error seperti berikut ini :

tedy@tedy:/usr/bin> ./acroread
expr: syntax error
expr: syntax error
expr: syntax error

Setelah mencari bantuan lewat Google, saya mendapat petunjuk dari sini. Rupanya bukan cuma saya yang mengalami error ini, banyak orang yang mengalami hal yang sama. Untuk mengatasi error ini yang harus saya lakukan adalah mengedit file /usr/bin/acroread. Di baris ke 418 saya harus menambahkan tanda * setelah string[0-9]yang kedua. Lihat cuplikan berikut ini (ditandai warna merah) :

echo $mfile| sed 's/libgtk-x11-\([0-9]*\).0.so.0.\([0-9]*\)00.\([0-9]*\)\|\(.*\)/\1\2\3/g'

Dan lihat setelah sedikit utak-atik tadi, Acrobat Reader sukses dibuka.

acrobatreader

Oh ya instalasi Acrobat Reader di Linux cukup mudah. Ambil dulu file source-nya di webnya Adobe. Tadi sih saya pakai installer yang sudah saya punya AdobeReader_enu-7.0.9-1.i386.tar.gz.

tedy@tedy:~> gzip -d AdobeReader_enu-7.0.9-1.i386.tar.gz
tedy@tedy:~> cd AdobeReader
tedy@tedy:~/AdobeReader> sudo ./INSTALL

Lalu ikuti saja petunjuk instalasi yang muncul. Yang harus diperhatikan adalah di direktori mana kita akan menginstal Adobe Reader ini. Secara default, direktori instalasinya adalah /usr/local/Adobe/Acrobat7.0

Leave a Reply